DTD (Java Platform SE 8 )
Keywords: javax.xml.stream.events.DTD interface
Date: 2023-01-18

compact2, compact3
javax.xml.stream.events

## Interface DTD

- All Superinterfaces:
    XMLEvent, XMLStreamConstants

      public interface DTD
      extends XMLEvent

  This is the top level interface for events dealing with DTDs
  Since:
    1.6
  Version:
    1.0

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDocumentTypeDeclaration()` Returns the entire Document Type Declaration as a string, including the internal DTD subset.
    `List` | `getEntities()` Return a List containing the general entities, both external and internal, declared in the DTD.
    `List` | `getNotations()` Return a List containing the notations declared in the DTD.
    `Object` | `getProcessedDTD()` Returns an implementation defined representation of the DTD.

    - ### Methods inherited from interface javax.xml.stream.events.XMLEvent

      `asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

- - ### Method Detail

    - #### getDocumentTypeDeclaration

          String getDocumentTypeDeclaration()

      Returns the entire Document Type Declaration as a string, including the internal DTD subset. This may be null if there is not an internal subset. If it is not null it must return the entire Document Type Declaration which matches the doctypedecl production in the XML 1.0 specification

    - #### getProcessedDTD

          Object getProcessedDTD()

      Returns an implementation defined representation of the DTD. This method may return null if no representation is available.

    - #### getNotations

          List getNotations()

      Return a List containing the notations declared in the DTD. This list must contain NotationDeclaration events.
      Returns:
        an unordered list of NotationDeclaration events
      See Also:
        `NotationDeclaration`

    - #### getEntities

          List getEntities()

      Return a List containing the general entities, both external and internal, declared in the DTD. This list must contain EntityDeclaration events.
      Returns:
        an unordered list of EntityDeclaration events
      See Also:
        `EntityDeclaration`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.